Name:		gssntlmssp
Version:	0.7.0
Release:	1%{?dist}
Summary:	GSSAPI NTLMSSP Mechanism

Group:		System Environment/Libraries
License:	LGPLv3+
URL:		https://fedorahosted.org/gss-ntlmssp
Source0:        https://fedorahosted.org/released/gss-ntlmssp/%{name}-%{version}.tar.gz

Requires: krb5-libs%{?_isa} >= 1.12.1-9

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: m4
BuildRequires: libxslt
BuildRequires: libxml2
BuildRequires: docbook-style-xsl
BuildRequires: doxygen
BuildRequires: gettext-devel
BuildRequires: pkgconfig
BuildRequires: krb5-devel >= 1.11.2
BuildRequires: libunistring-devel
BuildRequires: openssl-devel
BuildRequires: pkgconfig(wbclient)

%description
A GSSAPI Mechanism that implements NTLMSSP

%package devel
Summary: Development header for GSSAPI NTLMSSP
Group: Development/Libraries
License: LGPLv3+

%description devel
Adds a header file with definition for custom GSSAPI extensions for NTLMSSP


%prep
%setup -q

%build
autoreconf -fiv
%configure \
    --with-wbclient \
    --disable-static \
    --disable-rpath

make %{?_smp_mflags} all

%install
%make_install
rm -f %{buildroot}%{_libdir}/gssntlmssp/gssntlmssp.la
mkdir -p %{buildroot}%{_sysconfdir}/gss/mech.d
install -pm644 examples/mech.ntlmssp %{buildroot}%{_sysconfdir}/gss/mech.d/ntlmssp.conf
%{find_lang} %{name}

%check
make test_gssntlmssp

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/gss/mech.d/ntlmssp.conf
%{_libdir}/gssntlmssp/
%{_mandir}/man8/gssntlmssp.8*
%doc COPYING

%files devel
%{_includedir}/gssapi/gssapi_ntlmssp.h

%changelog
* Fri Jun  3 2016 Simo Sorce <simo@samba.org> - 0.7.0-1
- New release 0.7.0

* Tue Feb 23 2015 Simo Sorce <simo@samba.org> - 0.6.0-1
- Update EPEL to latest version

* Sun Jan 26 2014 Simo Sorce <simo@samba.org> - 0.3.1-0
- Fixes #1058025
- New upstream release 0.3.1:
  * Fix segfault in init context.

* Sun Jan 12 2014 Simo Sorce <simo@samba.org> - 0.3.0-0
- New upstream release 0.3.0:
  * Added support for NTLMv1 Signing and Sealing completing full coverage
    of the NTLM protocol
  * Added a number of GSSAPI calls to inquire, export and import context and
    credentials, in preparation for making it work with GSS-Proxy
  * Various fixes memleak and other fixes

* Wed Dec  4 2013 Simo Sorce <simo@samba.org> - 0.2.0-1
- Backport patch that fixes failures with gss_set_neg_mechs() calls.

* Fri Oct 18 2013 Simo Sorce <simo@samba.org> - 0.2.0-0
- New upstream realease 0.2.0:
  * Add support for acquire_cred_with_password()
  * Fix Signing keys generation
  * Add enterprise names support
  * Add connectionless mode support
  * Add development header gssapi_ntlmssp.h
  * Various bugfixes and tests for new features 

* Thu Oct 17 2013 Simo Sorce <simo@samba.org> - 0.1.0-2
- Fix Requires

* Thu Oct 17 2013 Simo Sorce <simo@samba.org> - 0.1.0-1
- Initial import of 0.1.0

